/*////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//
// ECOTRX.H
//
// (C) Mark Usher
// marku@magnet.at
// release 1.0  30.06.1999                                                       
*/

typedef unsigned char byte;
typedef unsigned char bool;

/*/////////////////////////////////////////////////////////////////////////
// Misc
*/

#define TIMER_INT       0x08

#define FALSE           0==1
#define TRUE            1==1

#define AND             &&
#define OR              ||
#define NOT             !

#define OK              0x00
#define ERROR           0x01

const float VERSION = (float)1.00;

#define CARD_INTERRUPT   0x7
#define CARD_ADDRESS     0xD0000000L

#define VMINOR           0x27
#define VMAJOR           0x38

#define NON_VOLATILE_BYTES	0x7F
#define MASTER_PIC          0x20
#define SLAVE_PIC           0xA0
#define IRQ_MASK            0x01

#define MASTER_FIRST_VECTOR 0x08
#define SLAVE_FIRST_VECTOR  0x70

#define SPECIFIC_EOI        0x60

#define MAX_HANDLES         22

#define MAX_EVENT_HANDLERS	0xFF

#define MAX_TX_LENGTH       20
#define TX_PORT             100

#define MAX_RX_LENGTH       20
#define RX_PORT             100


